#
# spec file for package rubygem-koala
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-koala
Version:        3.0.0
Release:        lp151.1.1
%define mod_name koala
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.1}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/arsduo/koala
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A lightweight, flexible library for Facebook with support for the
License:        MIT
Group:          Development/Languages/Ruby

%description
Koala is a lightweight, flexible Ruby SDK for Facebook.  It allows read/write
access to the social graph via the Graph and REST APIs, as well as support for
realtime updates and OAuth and Facebook Connect authentication.  Koala is
fully tested and supports Net::HTTP and Typhoeus connections out of the box
and can accept custom modules for other services.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE changelog.md readme.md" \
  -f

%gem_packages

%changelog
* Sat Mar 18 2017 coolo@suse.com
- updated to version 3.0.0
  see installed changelog.md
* Fri Feb 17 2017 coolo@suse.com
- updated to version 2.5.0
  see installed changelog.md
  v2.5.0
  ======
  New features:
  * API#get_object_metadata provides a convenient accessor to an object's graph metadata (thanks, sancopanco!)
  Documentation improvements:
  * Add explicit require to examples in readme.md (thanks, dwkns!)
  Internal improvements:
  * Remove MultiJson dependency (thanks, sakuro!)
* Sat Jul  9 2016 coolo@suse.com
- updated to version 2.4.0
  see installed changelog.md
  v2.4.0
  ======
  * *Note:** Koala is no longer officially supported on Ruby 1.9.3 (which was [end-of-lifed back in
  2015](https://www.ruby-lang.org/en/news/2014/01/10/ruby-1-9-3-will-end-on-2015/)). Versions may
  still work (until version 3.0, when we may start using keyword arguments), but will not be tested
  on 1.9.3.
  Updated features:
  * Batch API requests will now properly calculate appsecret_proofs for multiple access tokens
    (thanks, mwpastore!)
  Internal improvements:
  * Koala now explicitly depends on MultiJson >= 1.3.0, since it uses methods introduced in that
    version
  Testing improvements:
  * Test Koala against Ruby 2.3.0
* Mon Apr 11 2016 coolo@suse.com
- updated to version 2.3.0
  see installed changelog.md
  v2.3.0
  ======
  Updated features:
  * API#get_user_picture_data is now API#get_picture_data. The old method and API#get_picture both
    remain with deprecation warnings. (Thanks noahsilas for earlier work on this!)
  * Koala::Facebook::APIError now includes [debug and trace
    info](https://github.com/arsduo/koala/blob/master/lib/koala/errors.rb) provided by Facebook in the headers
    (thanks, @elhu!)
  Internal Improvements:
  * Graph API error handling is now done via the GraphErrorChecker class
  Testing improvements:
  * Upgraded RSpec to 3.3.0
  * Removed pended specs that were no longer relevant
  * Improved https regex in test suite (thanks, lucaskds!)
* Tue Aug 11 2015 coolo@suse.com
- updated to version 2.2.0
  see installed changelog.md
  v2.2.0
  ======
  Updated features:
  * Restore API#search, since Facebook still supports that for certain usecases (thanks, vhoof!)
  * You can now specify format: :json in http_options to make Content-Type application/json requests (thanks, adparlor!)
  * Koala now supports uploading videos by URL (thanks, filipegiusti!)
  * GraphCollections now offer direct access to the collection summary data via #summary (thanks, vhoof!)
  Internal Improvements:
  * Use MultiJson::LoadError instead of the newer ParseError for backward compatibility (thanks, bunshin!)
  Documentation improvements:
  * modernize the hash syntax in the readme (thanks, st0012!)
  v2.1.0
  ======
  Documentation improvements:
  * extend/clean up code quality badges (thanks, jbender!)
* Sun Apr  5 2015 coolo@suse.com
- updated to version 2.0.0
* Mon Feb  9 2015 coolo@suse.com
- updated to version 1.11.1
  Bug fixes:
  * Properly import Facebook error attributes (thanks, isra17!)
  v.1.11.0
  ========
  Updated features:
  * OAuth now supports decoding the new JSON responses from the access token endpoints (thanks, ridiculous!)
  * Batch API now accepts either symbols or strings for the access token (thanks, mattmueller!)
  * Incorporate user message and title into error handling (thanks, richrines and isra17!)
  Bug fixes:
  * Fixed bug in GraphCollection URL versioning (thanks, deviousdodo and jankowy!)
  * TestUsers#create_network now properly handles options (thanks, crx!)
  Documentation improvements:
  * Updated gem version (thanks, thomasklemm!)
  v.1.10.1
  ========
  Bug fixes:
  * Facebook API version now works in all cases (thanks, markprzepiora!)
  * Fixed a typo in an example (thanks, mktakuya!)
  v.1.10.0
  ========
  New features:
  * API versioning is now supported through global and per-options requests
  (Koala.config.api_version and the :api_version key specified as a per-request
  options)
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun Feb 23 2014 coolo@suse.com
- updated to version 1.9.0
  Updated Methods:
  * API#new now takes an optional access_token, which will be used to generate
  the appsecret_proof parameters ([thanks,
  nchelluri!](https://github.com/arsduo/koala/pull/323))
  Testing Improvements:
  * Add 2.1.0 to travis.yml and update specs to pass w/o deprecation on RSpec 3.0
  ([thanks](https://github.com/arsduo/koala/pull/350),
  [petergoldstein](https://github.com/arsduo/koala/pull/348)!)
  * With 1.9.0+ only support, removed the OrderedHash patch
  Documentation Improvements:
  * Make it clear that connections take a singlar form in API#put_connection
  (thanks, [josephdburdick](https://github.com/arsduo/koala/pull/349)!)
  v1.8.0
  =========
  NOTE: Due to updates to underlying gems, new versions of Koala no longer work
  with Ruby 1.8.x, rbx/jruby in 1.8 mode, and Ruby 1.9.2. Earlier versions will,
  of course, continue to work, since the underlying Facebook API remains the
  same.
  If you, tragically, find yourself stuck using these old versions, you may be
  able to get Koala to work by adding proper constraints to your Gemfile. Good
  luck.
* Fri Jan  4 2013 coolo@suse.com
- initial package (version 1.6.0)
